

{$unit= ''}
{if $feature && isset($feature['unit'])}
{$unit = $feature['unit']}
{/if}
{$types =  manufactoryFeaturesPool::getInstance()->getTypes()}
{if $feature}
{$type = $feature->getType()}
{else}
{$type = 'length'}
{/if}
{$groups_values =  manufactoryFeaturesPool::getInstance()->getFeatureGroups()}
<script src="{$wa_app_static_url}js/product-features.js?v={$wa->version()}" type="text/javascript"></script>
<script>
    $.manufactory.Features.Feature.types = {json_encode($types)};
    $.manufactory.Features.Feature.deafult_unit = '{$unit}';
    $.manufactory.Features.Feature.groups_values = {json_encode($groups_values)};
</script>
<form action="?module=settings&action=productFeatureSave" method="post" class="feature-save">

    {if $feature}
    <input type="hidden" name="id" value="{$feature->getId()}">
    {/if}
<table border="0"  cellspacing="5"  class="light" style="width: 600px;">
    <tr>
        <td>Название</td>
        <td><input name="name" type="text" value="{if $feature}{$feature->getName()}{/if}"></td>
    </tr>
    <tr>
        <td>Тип</td>
        <td>
            {if $feature}
            <strong>{$feature->getTypeName()}</strong>
            <input name="type" value="{$type}" type="hidden">
            {else}
            <select name="type">
                {foreach $types as $k => $v}
                <option value="{$k}" {if $feature && $feature->getType()==$k} selected{/if}>{$v['name']}</option>
                {/foreach}
            </select>
            {/if}
           </td>
    </tr>
    <tr>
        <td>Номинальная единица</td>
        <td>
            {if $feature}
            {$units = $types[$type]['units']}
            {else}
            {$units = $types['length']['units']}
            {/if}
            <select name="unit">
                {foreach $units as $k => $v}
                <option value="{$k}" {if $feature && $k==$feature['unit']} selected{/if}>{$v['name']}</option>
            {/foreach}
            </select>
        </td>
    </tr>
    <tr>
        <td>Типы продуктов</td>
        <td>
            {if $feature}
            {$f_product_types = $feature->getProductTypes()}
            {else}
            {$f_product_types= array()}
            {/if}
          {foreach $product_types as $v}
            <input type="checkbox" name="product_types[{$v.id}]" value="{$v.id}"
                   {if isset($f_product_types[$v.id])} checked{/if}> {$v->getName()}
          {/foreach}
        </td>
    </tr>
    <tr>
        <td>Значения</td>
        <td>
            <table class="zebra">
                <tr>
                    <th>Назв</th>
                    <th>Значение</th>
                    <th>Единица измерения</th>
                    <th>Группа</th>
                    <th>Сортировка</th>
                </tr>
                {if $feature}
                {foreach $groups_values as $gv}
                <tr><td colspan="6"><strong>{$gv['name']}</strong></td></tr>
                    {foreach $feature->getValues($gv['id']) as $v}
                    <tr class="feature-value" data-id="{$v['id']}">
                        <td><input name="values[{$v['id']}][name]" value="{$v['name']}"></td>
                        <td><input name="values[{$v['id']}][value]" value="{$v['value']}"></td>
                        <td>
                            <select name="values[{$v['id']}][unit]">
                                {foreach $units as $uk=>$uv}
                                <option value="{$uk}" {if $v['unit']==$uk} selected{/if}>{$uv['name']}</option>
                                {/foreach}
                            </select>
                        </td>
                        <td>
                            <select name="values[{$v['id']}][group_id]">
                                {foreach $groups_values as $ugk=>$ugv}
                                <option value="{$ugk}" {if $v['group_id']==$ugk} selected{/if}>{$ugv['name']}</option>
                                {/foreach}
                            </select>

                        </td>
                        <td><input name="values[{$v['id']}][sort]" value="{$v['sort']}"></td>
                        <td></td>
                    </tr>
                    {/foreach}
                {/foreach}
                {/if}

              <tr><td colspan="6" style="text-align: center;">
                  <button class="feature-value-add button green">Добавить значение</button> </td>
              </tr>
            </table>
        </td>
    </tr>

</table>
    <div><input type="submit" value="Сохранить" class="button green"></div>

</form>
